<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.extension.platform Class Hierarchy (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.extension.platform Class Hierarchy (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/input/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/permission/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.sk89q.worldedit.extension.platform</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlatform.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">AbstractPlatform</span></a> (implements com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>)</li>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">AbstractPlayerActor</span></a> (implements com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>, java.lang.Cloneable, com.sk89q.worldedit.entity.<a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>)</li>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">PlatformCommandManager</span></a></li>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">PlatformManager</span></a></li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">java.lang.RuntimeException
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">NoCapablePlatformException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.sk89q.worldedit.util.<a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util"><span class="typeNameLink">Identifiable</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Actor</span></a> (also extends com.sk89q.worldedit.session.<a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>, com.sk89q.worldedit.util.auth.<a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a>)</li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Platform</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/MultiUserPlatform.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">MultiUserPlatform</span></a></li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.util.auth.<a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth"><span class="typeNameLink">Subject</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Actor</span></a> (also extends com.sk89q.worldedit.util.<a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a>, com.sk89q.worldedit.session.<a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>)</li>
<li type="circle">com.sk89q.worldedit.session.<a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">SessionOwner</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Actor</span></a> (also extends com.sk89q.worldedit.util.<a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a>, com.sk89q.worldedit.util.auth.<a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Preference.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Preference</span></a></li>
<li type="circle">com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Capability</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/input/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/permission/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
